summaryrefslogtreecommitdiffstats
path: root/mcp/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'mcp/scripts')
-rw-r--r--mcp/scripts/lib.sh2
-rwxr-xr-xmcp/scripts/log.sh35
-rwxr-xr-xmcp/scripts/salt.sh2
3 files changed, 36 insertions, 3 deletions
diff --git a/mcp/scripts/lib.sh b/mcp/scripts/lib.sh
index 94a9bd3c3..e123e5231 100644
--- a/mcp/scripts/lib.sh
+++ b/mcp/scripts/lib.sh
@@ -141,7 +141,7 @@ start_vms() {
# start vms
for node in "${vnodes[@]}"; do
virsh start "${node}"
- sleep $[RANDOM%5+1]
+ sleep $((RANDOM%5+1))
done
}
diff --git a/mcp/scripts/log.sh b/mcp/scripts/log.sh
new file mode 100755
index 000000000..1ae0953af
--- /dev/null
+++ b/mcp/scripts/log.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2017 Mirantis Inc., Enea AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+#
+# Collect /var/log from all cluster nodes via Salt Master
+#
+
+DEPLOY_LOG=$1
+OPNFV_TMP_LOG="opnfv_fuel_logs"
+
+[ -n "${DEPLOY_LOG}" ] || exit 0
+
+# ssh to cfg01
+# shellcheck disable=SC2086,2087
+ssh ${SSH_OPTS} "${SSH_SALT}" bash -s << LOG_COLLECT_END
+ sudo -i
+
+ echo salt -C '*' cp.push_dir /var/log upload_path='${OPNFV_TMP_LOG}'
+ salt -C '*' cp.push_dir /var/log upload_path='${OPNFV_TMP_LOG}'
+
+ cd /var/cache/salt/master/minions && \
+ find */files/${OPNFV_TMP_LOG}/ | \
+ xargs tar czf \$(eval echo \~\${SUDO_USER}/${OPNFV_TMP_LOG}.tar.gz) \
+ --transform 's|/files/${OPNFV_TMP_LOG}||'
+LOG_COLLECT_END
+
+# shellcheck disable=SC2086
+scp ${SSH_OPTS} "${SSH_SALT}:${OPNFV_TMP_LOG}.tar.gz" "${DEPLOY_LOG}"
+# shellcheck disable=SC2086,2029
+ssh ${SSH_OPTS} "${SSH_SALT}" rm -f "${OPNFV_TMP_LOG}.tar.gz"
diff --git a/mcp/scripts/salt.sh b/mcp/scripts/salt.sh
index 4fa54ab1c..174471e91 100755
--- a/mcp/scripts/salt.sh
+++ b/mcp/scripts/salt.sh
@@ -11,8 +11,6 @@
#
F_GIT_ROOT=$(git rev-parse --show-toplevel)
-SALT_MASTER_USER=${SALT_MASTER_USER:-ubuntu}
-SSH_SALT="${SALT_MASTER_USER}@${SALT_MASTER}"
OPNFV_TMP_DIR="/home/${SALT_MASTER_USER}/fuel"
OPNFV_FUEL_DIR="/root/fuel"